
/*
 *
 *            
 *
 * $Id: configdlg.cpp,v 1.2 1997/10/16 00:11:45 wuebben Exp $
 * 
 * Copyright (C) 1997 Bernd Johannes Wuebben 
 * wuebben@math.cornell.edu
 *
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */



#include "configdlg.h"
#include "kmodplayer.h"

extern KApplication* 	thisapp;
extern KMod   *kmodplayer;
extern QColor led_color;
extern QColor background_color;
extern QColor led_color_temp;
extern QColor background_color_temp;

#ifdef SCHSDFSD
ConfigDlg::ConfigDlg(QWidget *parent=0, const char *name=0)
  : QDialog(parent, name)
{


  colors_changed = false;

  setCaption("Configure kmod");

  box = new QGroupBox(this, "box");
  box->setGeometry(10,10,320,260);

  /*  ok = new QPushButton("OK", this);
  ok->setGeometry(10, 200, 70, 30);
  connect(ok, SIGNAL(clicked()), SLOT(okbutton()));
  
  cancel = new QPushButton("Cancel", this);
  cancel->setGeometry(10, 250, 70, 30);
  connect(cancel, SIGNAL(clicked()), SLOT(cancelbutton()));
  */


  label1 = new QLabel(this);
  label1->setGeometry(20,25,135,25);
  label1->setText("LED Color:");

  qframe1 = new QFrame(this);
  qframe1->setGeometry(155,25,30,25);	
  qframe1->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
  qframe1->setBackgroundColor(led_color);

  button1 = new QPushButton(this);
  button1->setGeometry(205,25,100,25);
  button1->setText("Change");
  connect(button1,SIGNAL(clicked()),this,SLOT(set_led_color()));

  label2 = new QLabel(this);
  label2->setGeometry(20,65,135,25);
  label2->setText("Background Color:");

  qframe2 = new QFrame(this);
  qframe2->setGeometry(155,65,30,25);	
  qframe2->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
  qframe2->setBackgroundColor(background_color);

  button2 = new QPushButton(this);
  button2->setGeometry(205,65,100,25);
  button2->setText("Change");
  connect(button2,SIGNAL(clicked()),this,SLOT(set_background_color()));

  button3 = new QPushButton(this);
  button3->setGeometry(205,120,100,25);
  button3->setText("Help");
  connect(button3,SIGNAL(clicked()),this,SLOT(help()));



  /*
  label3 = new QLabel(this);
  label3->setGeometry(20,75,135,25);
  label3->setText("Dial String:");


  label4 = new QLabel(this);
  label4->setGeometry(20,105,135,25);
  label4->setText("Connect Response:");
  */

  connect(this,SIGNAL(color_change()),kmodplayer,SLOT(setColors()));

}


void ConfigDlg::okbutton() {

  accept();

}

void ConfigDlg::help(){

  if(!thisapp)
    return;

  thisapp->invokeHTMLHelp("kmodplayer/kmodplayer.html","");

  /*
  if ( fork() == 0 )
        {
                QString path = DOCS_PATH;
                path += "/kmod.html";
                execlp( "kdehelp", "kdehelp", path.data(), 0 );
                ::exit( 1 );
        }
	*/
}

void ConfigDlg::cancelbutton() {
  reject();
}

void ConfigDlg::set_led_color(){

  led_color_temp = led_color;
  KColorDialog::getColor(led_color_temp);
  qframe1->setBackgroundColor(led_color_temp);
  colors_changed = true;

}

void ConfigDlg::set_background_color(){

  background_color_temp = background_color;
  KColorDialog::getColor(background_color_temp);
  qframe2->setBackgroundColor(background_color_temp);
  colors_changed = true;

}


#endif SCHSDFSD



