/*

Name:
UI.C

Description:
Curses parser for Tracker-like controls - bare linux (unix?) version.
Shamelessly adapted from tracker v4.3 by Marc Espie

By using the UI_... return style, an X equivalent should drop in as a
replacement. 

Steve McIntyre <sam1007@cam.ac.uk>

*/
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <signal.h>
#include <curses.h>
#include "mikmod.h"
#include "ui.h"

int current_pattern;
int count_pattern, count_song;

int may_getchar()
   {
   int buffer;
     buffer=getch();
   if (buffer != ERR);
      {
/*      printw("%i", buffer);*/
      return buffer;
   }
/*   printf("%s", buffer);*/
   return EOF;   
   }

int get_ui()
   {
/*   extern int quit;
   extern int current;
   extern int deleted;
   extern int ui_result;
   extern int pause_flag;
   extern char output_buf_1[256];
   extern char output_buf_2[256];
   extern char output_buf_3[1024];
   extern char output_buf_4[256];*/
   ui_result = 2;
   switch(may_getchar())
      {
   case 'n':
   case KEY_DOWN:
   case 13: /*carriage return*/
      ui_result = UI_NEXT_SONG;
      current=0;
      break;
   case 'p':
   case KEY_UP:
      ui_result = UI_PREVIOUS_SONG;
      break;
   case 'x':
   case 'e':
   case 'q':
      ui_result = UI_QUIT;
      break;
   case '.':
	ui_result= UI_SPEED_UP;
	break;
   case ',':
	ui_result= UI_SLOW_DOWN;
	break;
   case '/':
	ui_result= UI_NORMAL_SPEED;
	break;
   case '+':
	ui_result= UI_VOL_UP;
	break;
   case '-':
	ui_result= UI_VOL_DOWN;
	break;
   case '*':
	ui_result= UI_NORMAL_VOL;
	break;
   case '>':
   case KEY_RIGHT:
      ui_result = UI_JUMP_TO_NEXT_PATTERN;
      break;
   case '<':
   case KEY_LEFT:
      ui_result = UI_JUMP_TO_PREV_PATTERN;
      break;
   case ' ':
      ui_result = UI_PAUSE;
      break;
   case 'd':
      ui_result = UI_MARK_DELETED;
      break;
   case 'y':
      ui_result = UI_DELETE_MARKED;
      break;
   default:
      break;
      }
   return ui_result;
   }

